Qyra
Referencev2

Download results

Downloads query results in various formats with custom formatting options

POST/api/v2/projects/{projectUuid}/query/{queryUuid}/schedule-download

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
queryUuidstringYesThe UUID of the completed async query to download

Request body

{
  "pivotConfig": {
    "hiddenDimensionFieldIds": [
      "string"
    ],
    "rowTotals": true,
    "columnTotals": true,
    "visibleMetricFieldIds": [
      "string"
    ],
    "hiddenMetricFieldIds": [
      "string"
    ],
    "columnOrder": [
      "string"
    ],
    "rowFieldIds": [
      "string"
    ],
    "metricsAsRows": true,
    "pivotDimensions": [
      "string"
    ]
  },
  "type": "csv",
  "onlyRaw": true,
  "showTableNames": true,
  "customLabels": {},
  "columnOrder": [
    "string"
  ],
  "hiddenFields": [
    "string"
  ],
  "exportPivotedData": true,
  "attachmentDownloadName": "string",
  "conditionalFormattings": [
    {
      "textStyle": {
        "underline": true,
        "italic": true,
        "bold": true
      },
      "applyTo": "cell",
      "rules": [
        {
          "includeNull": true,
          "values": [
            0
          ],
          "operator": "isNull",
          "id": "string"
        }
      ],
      "darkColor": "string",
      "color": "string",
      "target": {
        "fieldId": "string"
      }
    }
  ],
  "showColumnTotals": true
}

Responses

200 — Success

{
  "results": {
    "jobId": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}